This is an Ubercart payment gateway module for the Stripe payment processor.

On a properly configured site and server with https configured, Ubercart with uc_stripe 7.x-2.x and 8.x-2.x should be PCI SAQ-A compliant since no credit card information passes through your server at all. Further discussion and details are in this issue

Only the 7.x-2.x and 8.x-2.x branches are maintained.

7.x-2.x also has support for the Ubercart Recurring Payments module; it will be added to 8.x-2.x when uc_recurring becomes available for D8.

Please leave issues in the issue queue if you uncover anything that needs fixing!

For further instructions, see the README.txt included with the module. You must install the Stripe PHP library as describe there.

Developed by Victor Quinn and Jay Bobzin of Warvik Ventures. 2.x branches by rfay.

Project Information

Downloads